Автор Тема: QT 4.7.1+  (Прочитано 2873 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
QT 4.7.1+
« : 31 Март 2012, 01:12:11 »
Здравствуйте, как обновить QT до версии более, чем 4.7.1? Гугл не спасает, нужно для линкования библиотек, ставил из .run скрипта, скачанного с сайта qt, но синаптик не видит его, так же консоль не распознает комманд от qt ( qtconfig etc... ).
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн Brainey

  • Ветеран
  • *****
  • Сообщений: 1943
  • Jabber: brainey@jabber.cz
Re: QT 4.7.1+
« Ответ #1 : 31 Март 2012, 18:08:28 »
В testing доступна версия 4.7.4. В дальнейшем указывайте ветку дистрибутива, задавая вопрос.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #2 : 01 Апрель 2012, 15:56:41 »
В testing доступна версия 4.7.4. В дальнейшем указывайте ветку дистрибутива, задавая вопрос.

Это прекрасно, но как его оттуда выцепить? Боюсь, что при полном обновлении у меня установится третий гном... ммм, сейчас не у родного пека, мне надо будет прописать тестовый репозиторий, сделать apt-get update и установить нужные пакеты синаптиком/консолью, потом быстренько закомментировать строки с тестовым репозиторием, тогда ничего не потеряю, так?
Бтв, почему теперь на форуме логотип убунты?О_о
« Последнее редактирование: 01 Апрель 2012, 16:02:33 от Makiavelly »
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн SeHELLioN

  • Старожил
  • ****
  • Сообщений: 910
Re: QT 4.7.1+
« Ответ #3 : 01 Апрель 2012, 19:41:53 »
все так,
поключаем, update, install, отключаем, и снова апдейт :)
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #4 : 01 Апрель 2012, 21:15:14 »
напомните тестовый репозиторий плз
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн SeHELLioN

  • Старожил
  • ****
  • Сообщений: 910
Re: QT 4.7.1+
« Ответ #5 : 01 Апрель 2012, 21:50:41 »
в sources.list у вас же есть для стейбла, скопируйтее строку и поменяйте одно слово
а вообще в инете полно мест, где можно сгенерировать для себя список реп
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #6 : 01 Апрель 2012, 21:52:51 »
в sources.list у вас же есть для стейбла, скопируйтее строку и поменяйте одно слово
а вообще в инете полно мест, где можно сгенерировать для себя список реп

Само собой, но большинство из них не актуальны.
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн SeHELLioN

  • Старожил
  • ****
  • Сообщений: 910
Re: QT 4.7.1+
« Ответ #7 : 01 Апрель 2012, 21:59:12 »
 >:(
deb http://ftp.de.debian.org/ testing main contrib non-free
как-то так, написал по памяти
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #8 : 01 Апрель 2012, 23:07:22 »
Всё- таки каким- то образом встал гном 3....что делать?
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн SeHELLioN

  • Старожил
  • ****
  • Сообщений: 910
Re: QT 4.7.1+
« Ответ #9 : 01 Апрель 2012, 23:12:35 »
как? вы обновились чтоли? :o пичально...
Asus m5a97+Amd fx-8350+4x4GB DDR3 1600MGz+asus gtx670 DCII (перешита в top)
Debian stable
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #10 : 01 Апрель 2012, 23:17:14 »
как? вы обновились чтоли? :o пичально...

Нет, просто выбрал в синаптике для установки libqt4-dev, он потянул за собой много сотен мегов зависимостей, и вот он, 3й гном после рестарта, да ещё и не рабочий :(
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #11 : 14 Апрель 2012, 16:27:31 »
Вопрос не закрыт, как обновить qt до нужной версии без установки 3го гнома?
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн Brainey

  • Ветеран
  • *****
  • Сообщений: 1943
  • Jabber: brainey@jabber.cz
Re: QT 4.7.1+
« Ответ #12 : 15 Апрель 2012, 16:39:08 »
как обновить qt до нужной версии без установки 3го гнома?
Гном3 и не устанавливается. А так, хотелось бы еще увидеть ваш /etc/apt/sources.list.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Makiavelly

  • Debian 6.0.4 Stable
  • Пользователь
  • *
  • Topic Author
  • Сообщений: 41
  • just noob
Re: QT 4.7.1+
« Ответ #13 : 12 Июнь 2012, 22:30:51 »
#

# deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official amd64 CD Binary-1 20120128-13:42]/ squeeze main

#deb cdrom:[Debian GNU/Linux 6.0.4 _Squeeze_ - Official amd64 CD Binary-1 20120128-13:42]/ squeeze main

deb http://ftp.ru.debian.org/debian/ squeeze main non-free contrib
deb-src http://ftp.ru.debian.org/debian/ squeeze main non-free contrib

deb http://security.debian.org/ squeeze/updates main contrib non-free
deb-src http://security.debian.org/ squeeze/updates main contrib non-free

# squeeze-updates, previously known as 'volatile'
deb http://ftp.ru.debian.org/debian/ squeeze-updates main contrib non-free
deb-src http://ftp.ru.debian.org/debian/ squeeze-updates main contrib non-free

# тестовая репа
deb http://ftp.ru.debian.org/debian/ testing main non-free contrib
СМИ, наша культура — всё откладывает яйца у меня под кожей. Большой Брат наполняет меня желанием удовлетвоорять потребности. Нужен ли мне большой дом, быстрый автомобиль, тысяча безотказных красоток для секса? Мне действительно все это нужно? Или меня так натаскали?
 

Оффлайн Nerevarin

  • Новичок форума
  • Сообщений: 3
Re: QT 4.7.1+
« Ответ #14 : 08 Март 2013, 23:57:15 »
Извините, что немного не в тему,(если принципиально, модераторы пожалуйста перенесите в соотв. раздел)  но более подходящей не нашёл.
Проблема в том, что я немогу установить из исхоников qt 5 на Debian  6.0.7 (squeeze)
вот что пишет :

/usr/bin/ld: cannot find -lXext
collect2: ld returned 1 exit status
make[3]: *** [../../lib/libQt5Widgets.so.5.0.1] Ошибка 1
make[3]: Leaving directory `/home/nerevar/qt5/qtbase/src/widgets'
make[2]: *** [sub-widgets-make_first] Ошибка 2
make[2]: Leaving directory `/home/nerevar/qt5/qtbase/src'
make[1]: *** [sub-src-make_first] Ошибка 2
make[1]: Leaving directory `/home/nerevar/qt5/qtbase'
make: *** [module-qtbase-make_first] Ошибка 2

Пробовал конфигурить и с флагами : -no-gtkstyle,  -no-c++11, -no-pch, -no-opengl -opengl es2
всё раво не помогает, гугл тоже не помогает, пожалуйста помогите вы

Ппц тут вообще кто нить живой есть?
« Последнее редактирование: 16 Март 2013, 21:37:48 от Nerevarin »
 

Теги: